<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<%@ include file="/webpage/include/echarts.jsp"%>
	<title>合同统计表</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:messageJBox content="${message}"/>
	<div class="layui-row" >
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="projectReportDataCompany" action="${ctx}/projectreportstatistics/projectreportstatistics/list" method="post" class="form-inline">
					<form:hidden path="check"></form:hidden>
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<div class="commonQuery lw9">
						<div class="layui-item query athird">
							<label class="layui-form-label">展现方式：</label>
							<div class="layui-input-block">
								<input type="radio" class="i-checks" name="extleft" id="extleft" value="0">
								<label for="extleft">按分公司</label>
								<input type="radio" class="i-checks" name="extleft" id="extleft1" value="1">
								<label for="extleft1">按月份</label>
							</div>
						</div>
						<div class="layui-item query two-thirds">
							<label class="layui-form-label">展现样式：</label>
							<div class="layui-input-block">
								<input type="radio" class="i-checks"  name="extright" checked id="extright" value="0">
								<label for="extright">列表</label>
								<input type="radio" class="i-checks"  name="extright" id="extright1" value="1">
								<label for="extright1">柱图</label>
								<input type="radio" class="i-checks"  name="extright" id="extright2" value="2">
								<label for="extright2">饼图</label>
								<input type="radio" class="i-checks"  name="extright" id="extright3" value="3">
								<label for="extright3">折线图</label>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">分公司：</label>
							<div class="layui-input-block with-icon">
								<sys:treeselect id="office" name="companyId" value="${projectReportDataCompany.companyId}" labelName="name" labelValue="${projectReportDataCompany.name}"
												title="分公司" url="/sys/office/treeDataCompany?type=2" cssClass="form-control input-sm" allowClear="true" notAllowSelectParent="false"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">报告日期：</label>
							<div class="layui-input-block">
								<input class="form-control layer-date laydate-icon layui-input laydate-icondate" id="date" name="date" value="${projectReportDataCompany.date}">
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearchs()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div id="frametable" class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<shiro:hasPermission name="projectreportstatistics:projectreportstatistics:export">
						<table:exportExcel url="${ctx}/projectreportstatistics/projectreportstatistics/export"></table:exportExcel><!-- 导出按钮 -->
					</shiro:hasPermission>
					<c:choose>
						<c:when test="${not empty backState}">
							<a class="nav-btn nav-btn-refresh" onClick="javascript :history.back(-1);"  data-toggle="tooltip" data-placement="left" title="返回"><i class="glyphicon glyphicon-repeat"></i>&nbsp;返回</a>
						</c:when>
					</c:choose>
				<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>
				<!-- 分页代码 -->
				<div style="clear: both;"></div>
			</div>
			<%--图形展示--%>
			<div id="echarts">
				<%--柱图--%>
				<div id="bar_normal"  class="main000" style="position: relative; overflow: hidden; width: 1290px; height: 360px; display: none">
					<echarts:bar id="bar_normal" title="报销统计表" xAxisData="${xAxisData}" yAxisData="${yAxisData}" xAxisName="分公司" yAxisName="报告数量"/></div>
				<%--饼图--%>
				<div id="pie"   class="main000" style="position: relative; overflow: hidden; width: 1290px; height: 360px; display: none">
					<echarts:pie id="pie" title="报销统计表" subtitle="" orientData="${orientData}"/></div>
				<%--折线图--%>
				<div id="line_normal"  class="main000" style="position: relative; overflow: hidden; width: 1290px; height: 360px; display: none">
					<echarts:line id="line_normal" title="报销统计表" subtitle="" xAxisData="${xAxisData}" yAxisData="${yAxisData}" xAxisName="公司名称" yAxisName="报告数量" /></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${list.size()},
            elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{field:'name',align:'center',title:"${showName}", minWidth:150,templet:function(d){
                        if(d.name!='合计'&&'${showName}'!="月份"){
                            var xml = "<a class=\"attention-info\" onclick=\"isSign('"+d.id+"','"+d.sign+"')\" >" +
                                "<span title=" + d.name + ">" + d.name + "</span></a>";
                            return xml;
                        }else{
                            return "<span title='"+ d.name +"'>" + d.name + "</span>";
                        }
                }}
                ,{field:'reportCount', align:'center',title: '报告数量', minWidth:150}


            ]]
            ,data: [
                <c:if test="${ not empty list}">
                <c:forEach items="${list}" var="projectReportDataCompany" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"sign":"${projectReportDataCompany.sign}"
                    ,"id":"${projectReportDataCompany.id}"
                    ,"name":"${fns:abbr(projectReportDataCompany.name,30)}"
                    ,"reportCount":"${projectReportDataCompany.reportCount}"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>

<script>
    function isSign(companyId,sign){
        $.ajax({
            type:'post',
            url:'${ctx}/workreimbursementcount/workInvoiceCount/signlist',
            data:{
                "companyId":companyId,"sign":sign
            },
            success:function(data){
                if(data==0){
                    window.location.href='${ctx}/projectreportstatistics/projectreportstatistics/officeList?companyId='+companyId;
                }else{
                    window.location.href='${ctx}/projectreportstatistics/projectreportstatistics/list?companyId='+companyId;
                }
            }
        })
    }
    function resetSearchs(){//重置，页码清零
        $("#extleft").iCheck('check');
        $("#pageNo").val(0);
        $("#searchForm div.query input").val("");
        $("#searchForm div.query select").val("");
        $("#searchForm").submit();
        return false;
    }
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>

<script type="text/javascript">
    function changeStyle(obj){
        if(obj==0){
            $("#frametable").show();//列表
            $("#bar_normal").hide();//柱图
            $("#pie").hide();//饼图
            $("#line_normal").hide();//折线
        }else if(obj==1){
            $("#frametable").hide();//列表
            $("#bar_normal").show()//柱图
            $("#pie").hide();//饼图
            $("#line_normal").hide();//折线
        }else if(obj==2){
            $("#frametable").hide();//列表
            $("#bar_normal").hide();//柱图
            $("#pie").show();//饼图
            $("#line_normal").hide();//折线
        }else if(obj==3){
            $("#frametable").hide();//列表
            $("#bar_normal").hide();//柱图
            $("#pie").hide();//饼图
            $("#line_normal").show();//折线
        }
    }
    function changeStyleLeft(obj){
        $("#check").val(obj);
    }
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        if(${showName eq '月份'}){
            $("#extleft1").iCheck('check');
        }else {
            $("#extleft").iCheck('check')
        }
        $("input[name='extright']").on('ifChecked', function(event){
            var radioVal = $(this).val();
            changeStyle(radioVal);
        });
        $("input[name='extleft']").on('ifChecked', function(event){
            var radioVal = $(this).val();
            changeStyleLeft(radioVal);
        });
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

        laydate.render({
            elem: '#date', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
            type : 'year'
        });
    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }
</script>
</body>
</html>
</html>